CODESYS Development System bis 3.5.16.x Package Manager unbekannte Schwachstelle

EintraganpassenHistoryDiffjsonxmlCTI
CVSS Meta Temp ScoreAktueller Exploitpreis (≈)CTI Interest Score
5.3$0-$5k0.00

In CODESYS Development System bis 3.5.16.x wurde eine problematische Schwachstelle entdeckt. Hierbei betrifft es ein unbekannter Ablauf der Komponente Package Manager. Auswirken tut sich dies auf Vertraulichkeit, Integrität und Verfügbarkeit. Die Zusammenfassung von CVE lautet:

The Package Manager of CODESYS Development System 3 before 3.5.17.0 does not check the validity of packages before installation and may be used to install CODESYS packages with malicious content.

Die Schwachstelle wurde am 04.05.2021 öffentlich gemacht. Das Advisory findet sich auf customers.codesys.com. Die Verwundbarkeit wird seit dem 25.03.2021 als CVE-2021-29240 geführt. Der Angriff kann im lokalen Netzwerk angegangen werden. Das Ausnutzen erfordert eine einfache Authentisierung. Technische Details sind nicht bekannt und ein Exploit zur Schwachstelle ist ebenfalls nicht vorhanden.

Ein Aktualisieren auf die Version 3.5.17.0 vermag dieses Problem zu lösen.

Produktinfoanpassen

Hersteller

Name

CPE 2.3infoanpassen

CPE 2.2infoanpassen

CVSSv3infoanpassen

VulDB Meta Base Score: 5.5
VulDB Meta Temp Score: 5.3

VulDB Base Score: 5.5
VulDB Temp Score: 5.3
VulDB Vector: 🔒
VulDB Zuverlässigkeit: 🔍

CVSSv2infoanpassen

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VektorKomplexitätAuthentisierungVertraulichkeitIntegritätVerfügbarkeit
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten
freischaltenfreischaltenfreischaltenfreischaltenfreischaltenfreischalten

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Zuverlässigkeit: 🔍

Exploitinginfoanpassen

Klasse: Unbekannt
CWE: Unbekannt
ATT&CK: Unbekannt

Lokal: Nein
Remote: Teilweise

Verfügbarkeit: 🔒
Status: Nicht definiert

Preisentwicklung: 🔍
Aktuelle Preisschätzung: 🔒

0-Dayfreischaltenfreischaltenfreischaltenfreischalten
Heutefreischaltenfreischaltenfreischaltenfreischalten

Threat Intelligenceinfoanpassen

Bedrohungslage: 🔍
Gegner: 🔍
Geopolitik: 🔍
Ökonomie: 🔍
Voraussagen: 🔍
Massnahmen: 🔍

Gegenmassnahmeninfoanpassen

Empfehlung: Upgrade
Status: 🔍

0-Day Time: 🔒

Upgrade: Development System 3.5.17.0

Timelineinfoanpassen

25.03.2021 CVE zugewiesen
04.05.2021 +39 Tage Advisory veröffentlicht
04.05.2021 +0 Tage VulDB Eintrag erstellt
07.05.2021 +3 Tage VulDB letzte Aktualisierung

Quelleninfoanpassen

Advisory: customers.codesys.com
Status: Bestätigt

CVE: CVE-2021-29240 (🔒)

Eintraginfoanpassen

Erstellt: 04.05.2021 18:00
Aktualisierung: 07.05.2021 14:12
Anpassungen: (5) source_cve_assigned source_cve_nvd_summary vulnerability_cvss2_vuldb_tempscore vulnerability_cvss3_vuldb_tempscore vulnerability_cvss3_meta_tempscore
Komplett: 🔍

Kommentare

Interested in the pricing of exploits?

See the underground prices here!